\documentclass{beamer}
\usepackage{tabularx}
\usepackage{parskip}
\usepackage{booktabs}


\title{Coupling functions as neural interaction descriptors}
\author{Petar Mircheski}
\institute{UNIVERSITY ``SS. CYRIL AND METHODIUS UNIVERSITY-SKOPJE FACULTY OF ELECTRICAL
	ENGINEERING AND INFORMATION TECHNOLOGIES''}
\date{2021}

\begin{document}

\frame{\titlepage}

\begin{frame}
	\frametitle{Introduction}
	\begin{itemize}
		\item<1-> In the past the main assumption about the nature of these phenomena is that
		      they are isolated from their surroundings and their behavior could be easily
		      described by a finite linear combination of harmonic oscillators.

		\item<1->Coupling functions bring quantitative understanding of the nature of
		      interactions that manifest themselves in systems and the underlying processes
		      and sub systems that contribute to the system interaction.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Description of the Problem}
	\begin{itemize}
		\item<1-> The main idea behind this paper is the modeling the coupling that
		      occurs between parts of the visual cortex through analysis of EEG signals
		      placed on different locations along the human scalp.
		\item<1-> We want to examine if the visual stimuli has influence over the neural
		      interactions.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Data Description}
	\begin{itemize}
		\item<1->The data consists of EEG signals of 11 healthy individuals who are subjected to a RSVP ``Rapid
		      Serial Visual Presentation'' at different speeds of 5Hz, 6Hz and 10Hz.

		\item<1->Every subject has taken the experiment two times, the later one being taken after a short period of
		      time
		\item<1->The EEG signals have been filtered by a LPF in the range of $0.15-28Hz$.
		\item<1->The sampling frequency of the data is $2048Hz$.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{10--20 protocol}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/10_20_protocol/10_20protocol.png}
		\caption{$10-20$ protocol}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Time-Frequency Analysis}
	For a square-integrable function the wavelet transform has the shape:
	\begin{equation}\label{wavelet_transform}
		C(a,b) =  \frac{1}{\sqrt[]a}  \int_{-\infty}^{+\infty} f(t) \psi^* (\frac{t-b}{a})dt
	\end{equation}
\end{frame}
\begin{frame}
	\frametitle{Time-Frequency Analysis}
	\begin{equation}\label{morlet_expanded}
		\psi(t) = \pi^{-\frac{1}{4}} (e^{-i w_0 t}- e^{-\frac{w_0^2}{2}}) e^{\frac{-t^2}{2}}
	\end{equation}

	\begin{equation}
		\psi(t) = \pi^{-\frac{1}{4}} e^{-i w_0 t} e^{\frac{-t^2}{2}}
	\end{equation}

	\begin{figure}[H]
		\includegraphics[width=0.45\textwidth]{images/wavelet_plots/overlap_time_domain_wavelet_w015_w0110.png}
		\caption{Morlet wavelet in the time domain}\label{fig:morlet_freq_time}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Time-Frequency Analysis}
	\begin{table}[H]
		\centering
		\begin{tabularx}{0.8\textwidth} {
				>{\raggedright\arraybackslash}X
				>{\centering\arraybackslash}X
				>{\raggedleft\arraybackslash}X}
			\midrule
			Frequency band & Neural band \\
			\midrule
			$ 0.8-4 Hz$    & $ \delta$   \\
			\midrule
			$ 4-7.5 Hz$    & $ \theta$   \\
			\midrule
			$ 7.5-14 Hz$   & $ \alpha$   \\
			\midrule
			$ 14-22 Hz$    & $ \beta$    \\
			\midrule
			$ 22-40 Hz$    & $ \gamma$   \\
			\midrule
		\end{tabularx}
		\caption{Frequency bands and their corresponding neural bands}\label{table:freq_bands}
	\end{table}
\end{frame}

\begin{frame}
	\frametitle{Time-Frequency Analysis}
	\begin{figure}[H]
		\includegraphics[width=0.61\textwidth]{images/wavelet_plots/rsvp_10Hz_02a0.png}
		\caption{Wavelet spectrogram for the $10Hz$ RSVP task.}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Time-Frequency Analysis}
	\begin{figure}[H]
		\includegraphics[width=0.61\textwidth]{images/wavelet_plots/rsvp_6Hz_02a0.png}
		\caption{Wavelet spectrogram for the $6Hz$ RSVP task.}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Time-Frequency Analysis}
	\begin{figure}[H]
		\includegraphics[width=0.61\textwidth]{images/wavelet_plots/rsvp_5Hz_02a0.png}
		\caption{Wavelet spectrogram for the $5Hz$ RSVP task.}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Spectral Analysis}
	\begin{itemize}
		\item<1->P-values for the 5Hz experiment
		      \begin{table}[H]
			      \centering
			      \begin{tabularx}{0.8\textwidth}{ X }
				      \midrule
				      $\theta - \alpha$    \\
				      \midrule
				      0.016656305210212025 \\
				      \midrule
			      \end{tabularx}
		      \end{table}

		\item<1->P-values for the 6Hz experiment
		      \begin{table}[H]
			      \centering
			      \begin{tabularx}{0.8\textwidth}{ X }
				      \midrule
				      $\theta - \alpha$    \\
				      \midrule
				      0.006830255863044082 \\
				      \midrule
			      \end{tabularx}
		      \end{table}

		\item<1->P-values for the 10Hz experiment
		      \begin{table}[H]
			      \centering
			      \begin{tabularx}{0.8\textwidth}{ X }
				      \midrule
				      $\theta - \alpha$   \\
				      \midrule
				      0.07421171617678754 \\
				      \midrule
			      \end{tabularx}
		      \end{table}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Spectral Analysis}
	\begin{itemize}
		\item<1->Appropriate P-values for the $\theta$ band across different speeds for the RSVP task.
		      \begin{table}[H]
			      \centering
			      \begin{tabularx}{\textwidth}{ X  X  X }
				      \midrule
				      5Hz--6Hz & 5--10Hz & 6--10Hz \\
				      \midrule
				      0.8011   & 0.8600  & 0.8710  \\
				      \midrule
			      \end{tabularx}
		      \end{table}

		\item<1->Appropriate P-values for the $\alpha$ band across different speeds for the RSVP task.		      \begin{table}[H]
			      \centering
			      \begin{tabularx}{\textwidth}{ X  X  X }
				      \midrule
				      5Hz--6Hz & 5--10Hz & 6--10Hz \\
				      \midrule
				      0.7817   & 0.2466  & 0.3577  \\
				      \midrule
			      \end{tabularx}
		      \end{table}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Signal Pre-Processing}
	\begin{figure}[H]
		\centering
		\includegraphics[width=0.6\textwidth, height=7cm]{images/flowchart/flowchart.pdf}
		\caption{Block diagram for the steps taken}\label{fig:block_diagram}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Proto-Phase Extraction}
	\begin{itemize}
		\item<1->The Hilbert Transform is used for it's ability to analyze signals from non-linear and non-stationary signals.
		\item<1->The Hilbert Transform transofrm the frequency of the signals as a function of their phases.
		\item<1-> We get insight in the change of the frequency of the signals as a function of time.
		      \medskip
		      \begin{equation}
			      H(u)(t) = \frac{1}{\pi} \int_{-\infty}^{\infty} \frac{u(\tau)}{t-\tau} d\tau
		      \end{equation}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Proto-Phase Extraction}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/hilbert_plots/hilbert_fig.png}
		\caption{Hilbert Tranformed EEG data}\label{fig:hilbert_tf}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Proto--Phase $\rightarrow$ Phase Transform}
	\begin{itemize}
		\item<1-> The analytical phase is also called a proto-phase. The proto-phase is a variables that has
		      monotonous growth  along the trajectory of the oscillator but it generally does not have a uniform
		      growth.

		\item<1->If we analyze a system of oscillators that are coupled their coupling would get the shape:
		      \begin{equation}
			      \dot{\theta_{1}} = \omega_{1} + f(\theta) + \hat{q}(\theta_{1}, \theta_{2})
		      \end{equation}

		\item<1->The relation can be represented by the independent phases:
		      \begin{equation}
			      \dot{\phi_{1}} = \omega_{1} + q(\phi_{1}, \phi_{2})
		      \end{equation}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1->Dynamic Bayesian Inference is a method for inferring the parameters of a model
		      represented by a system of differential equation through analysis of
		      time series of data samples from a oscillatory system.
		\item<1->Because EEG signals are periodic by nature we can analyze their phase dynamic.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1->We observe a system or $N$ oscillators represented by the differential equations:
		      \begin{equation}
			      \dot{\phi_i} = \omega_i + q_i(\phi_1, \phi_2, \dots, \phi_n, t) + \xi_i(t)
		      \end{equation}

		\item<2-> $\dot{\phi_i}$ first derivative of the phases by time.

		\item<3-> $\omega_i$ natural frequency of the oscillator.

		\item<4->$\xi_i$ stochastic interference gaussian white noise.

		\item<5-> $q_{i}(\phi_1, \phi_2, \dots, \phi_n, t)$ coupling function of the oscillators
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1-> For a given time series for two oscillators we  maximize the
		      posterior conditional probability
		      $P_\mathcal{X}(\mathcal{M}\rvert \mathcal{X})$
		      \begin{equation}
			      P_\mathcal{X}(\mathcal{M} \rvert \mathcal{X}) = \frac{\ell(\mathcal{X} \rvert \mathcal{M})
				      p_{prior}(\mathcal{M})}{\int\ell(\mathcal{X} \rvert \mathcal{M}) p_{prior}(\mathcal{M}) d
				      \mathcal{M}}
		      \end{equation}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1-> If certain conditions are met for the proposed model we can use the
		      negative log likelihood cost function to minimize. With that we accomplish the
		      task of maximizing the probability function.
		\item<2->
		      Negative log likelihood:
		      \begin{multline}
			      S = \frac{N}{2} + \ln \left|D\right| + \frac{h}{2}
			      \sum_{n=0}^{N-1}(c_k \frac{\partial P(x_., n)}{\partial x} + \\
			      +  {\left[\dot{x}_n - c_k f_k(x^{*}_., n) \right]}^{T}  (D^{-1})
			      \left [\dot{x}_n - c_k f_k(x^{*}_., n) \right])
		      \end{multline}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1-> The minimization of the log likelihood is done by finding the first
		      derivative of the negative log likelihood function.
		      \begin{equation}\label{equ:b1}
			      D = \frac{h}{N} {(\dot{x} - c_k f_k (x^{*}_{.,n}))}^{T}(\dot{x} - c_k f_k (x^{*}_{.,n}))
		      \end{equation}

		      \begin{equation}\label{equ:b2}
			      c_k = {(\Xi^{-1})}_{kw} r_{wk}
		      \end{equation}

		      \begin{equation}\label{equ:b3}
			      r_w = {(\Xi_{prior})}_{kw} c_{kw} + h f_k(x^{*}_{.,n} ) D^{-1} \dot(x_n) \pm \frac{h}{2} \frac{\partial
				      f_k(x_{.,n})}{\partial x}
		      \end{equation}

		      \begin{equation}\label{equ:b4}
			      r_w = {(\Xi_{prior})}_{kw}  + h f_k(x^{*}_{.,n} ) D^{-1} f_w (x^{*}_{.,n})
		      \end{equation}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Dynamic Bayesian Inference}
	\begin{itemize}
		\item<1-> The above mentioned approach calculates the model on time series data of size $w$.
		      Every other windows uses the concentration matrix $\Xi$.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Coupling Strength}
	\begin{itemize}
		\item<1->The coupling strength qualitatively describes the oscillatory interaction.
		\item<1->It's calculated as the second norm of the inferred parameters of the model
		      \begin{equation}
			      \left\Vert q_i\right \Vert = \langle q_i q_i\rangle ^ {1/2}
		      \end{equation}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Coupling Strength Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/coupling_strength_heatmaps/five_hz_heatmap.png}
		\caption{Coupling strength heatmap for the $5 Hz$ experiment}\label{fig:heatmap5}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Coupling Strength Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/coupling_strength_heatmaps/six_hz_heatmap.png}
		\caption{Coupling strength heatmap for the $6 Hz$ experiment}\label{fig:heatmap6}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Coupling Strength Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/coupling_strength_heatmaps/ten_hz_heatmap.png}
		\caption{Coupling strength heatmap for the $10 Hz$ experiment}\label{fig:heatmap10}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Coupling Strength Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/coupling_strength_heatmaps/a_experiment_cmap.png}
		\caption{Coupling strength heatmap for the first iteration of the experiment}\label{fig:heatmap_a}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Coupling Strength Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth]{images/coupling_strength_heatmaps/b_experiment_cmap.png}
		\caption{Coupling strength heatmap for the second iteration of the experiment}\label{fig:heatmap_b}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{itemize}
		\item<1-> The majority of coupling functions display strong diagonality in their forms.
		      The diagonality implies bi directional coupling of the oscillators.

		\item<1-> Horizontal or vertical spread of the shape of the coupling functions implies
		      the absence of a mutual interaction.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{itemize}

		\item<1-> Coupling function between the $PO7$ and $PO8$ probe.
		\item<1-> This kind of mutual interaction is observed in all pairs of probes except probes
		      $(P7, P8), (O1, O2)$ and $(PO4, PO3)$
	\end{itemize}
	\begin{figure}[H]
		\centering
		\includegraphics[width=8cm, height=5cm]{images/state_images/(1,2).png}
		\caption{Before and after coupling states for probes PO7 and PO8}\label{fig:coupling12}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{itemize}
		\item<1->\small Deceleration dynamics can be observed by the $PO7$ probe as a result of the dynamics of
		      probe $P7$ on the interval of $[0 - \pi]$.
	\end{itemize}
	\begin{figure}[H]
		\centering
		\includegraphics[width=8cm, height=5cm]{images/state_images/(2,4).png}
		\caption{Before and after coupling state for probes P7 and PO7}\label{fig:coupling24}
	\end{figure}
\end{frame}


\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth, height=6.2cm]{images/summary_of_frequency/(1,2).png}
		\caption{Coupling between probes $PO7$ and $PO8$ for different frequencies of the RSVP task}\label{fig:mcoupling12}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth, height=6.2cm]{images/summary_of_frequency/(5,6).png}
		\caption{Coupling between probes $O2$ and $O1$ for different frequencies of the RSVP task}\label{fig:mcoupling56}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Coupling Function Analysis}
	\begin{figure}[H]
		\centering
		\includegraphics[width=\textwidth, height=6.2cm]{images/summary_of_frequency/(6,8).png}
		\caption{Coupling between probes $PO4$ and $O2$ for different frequencies of the RSVP task}\label{fig:mcoupling68}
	\end{figure}
\end{frame}

\begin{frame}
	\frametitle{Conclusion}
	\begin{itemize}
		\item<1->Comparison of brain interactions in
		      different regions of the brain demonstrate how the frequency of the visual
		      stimuli affect their coupling.

		\item<1->The analysis of the two stages of
		      the experiment showed that the interaction of individual regions of the brain is
		      repetitive, there are no qualitative changes in the coupling functions ie
		      interactions are manifested qualitatively.

		\item<1->With the help of the analysis of
		      coupling functions can hopefully come to new knowledge about
		      the mechanisms of interaction between the individual regions of the visual cortex and
		      their relationship to the way visual data is processed.
	\end{itemize}
\end{frame}

\begin{frame}[c]{}
	\centering\Huge Thank you for the attention.
\end{frame}

\end{document}
